---
updatedAt: 2026-05-12T09:59:27.000Z
---

# Add a preference

This operation allows you to add a new client preference.

# OpenAPI definition

```json
{
  "components": {
    "schemas": {
      "ClientPreferenceInput": {
        "description": "ClientPreferenceInput holds the structure of the request body for the POST clientPreferences",
        "properties": {
          "name": {
            "type": "string"
          },
          "value": {
            "type": "string"
          }
        },
        "type": "object"
      },
      "ErrorMessage": {
        "description": "ErrorMessage describes the error",
        "properties": {
          "code": {
            "format": "int64",
            "type": "integer"
          },
          "reason": {
            "type": "string"
          }
        },
        "type": "object"
      }
    }
  },
  "info": {
    "license": {
      "name": "(c) Copyright 2020 WhiteHat Security"
    },
    "title": "Capabilities API",
    "version": "2.0.0"
  },
  "openapi": "3.0.1",
  "paths": {
    "/api/clientPreferences": {
      "post": {
        "description": "This operation allows you to add a new client preference.",
        "operationId": "clientPreferencesReqSwagger",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/ClientPreferenceInput"
              }
            }
          },
          "description": "ClientPreferenceInput holds the structure of the request body for the POST clientPreferences",
          "required": true
        },
        "responses": {
          "200": {
            "description": "SuccessResponse request succeeded"
          },
          "400": {
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorMessage"
                }
              }
            },
            "description": "BadRequestResponse indicates a request with invalid parameters"
          },
          "401": {
            "description": "UnauthorizedResponse signals an unauthorized API access"
          },
          "403": {
            "description": "ForbiddenResponse signals a request for a resource that does not exist or is not authorized"
          },
          "500": {
            "description": "GenericError generic error"
          }
        },
        "summary": "Add a preference",
        "tags": [
          "Capabilities API v2.0"
        ],
        "x-codegen-request-body-name": "body"
      }
    }
  },
  "servers": [
    {
      "url": "https://sentinel.whitehatsec.com/"
    }
  ],
  "tags": [
    {
      "name": "Capabilities API v2.0"
    }
  ],
  "x-explorer-enabled": false,
  "x-readme": {
    "proxy-enabled": true
  }
}
```